<?php
defined('BASEPATH') OR exit('No direct script access allowed');
?>
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <!-- Favico-o-matic generated stuff from http://www.favicomatic.com -->
    <link rel="apple-touch-icon-precomposed" sizes="57x57" href="<?php echo asset_url().'favicon/apple-touch-icon-57x57.png'?>" />
    <link rel="apple-touch-icon-precomposed" sizes="114x114" href="<?php echo asset_url().'favicon/apple-touch-icon-114x114.png'?>" />
    <link rel="apple-touch-icon-precomposed" sizes="72x72" href="<?php echo asset_url().'favicon/apple-touch-icon-72x72.png'?>" />
    <link rel="apple-touch-icon-precomposed" sizes="144x144" href="<?php echo asset_url().'favicon/apple-touch-icon-144x144.png'?>" />
    <link rel="apple-touch-icon-precomposed" sizes="60x60" href="<?php echo asset_url().'favicon/apple-touch-icon-60x60.png'?>" />
    <link rel="apple-touch-icon-precomposed" sizes="120x120" href="<?php echo asset_url().'favicon/apple-touch-icon-120x120.png'?>" />
    <link rel="apple-touch-icon-precomposed" sizes="76x76" href="<?php echo asset_url().'favicon/apple-touch-icon-76x76.png'?>" />
    <link rel="apple-touch-icon-precomposed" sizes="152x152" href="<?php echo asset_url().'favicon/apple-touch-icon-152x152.png'?>" />
    <link rel="icon" type="image/png" sizes="196x196" href="<?php echo asset_url().'favicon/favicon-196x196.png'?>" />
    <link rel="icon" type="image/png" sizes="96x96" href="<?php echo asset_url().'favicon/favicon-96x96.png'?>" />
    <link rel="icon" type="image/png" sizes="32x32" href="<?php echo asset_url().'favicon/favicon-32x32.png'?>" />
    <link rel="icon" type="image/png" sizes="16x16" href="<?php echo asset_url().'favicon/favicon-16x16.png'?>" />
    <link rel="icon" type="image/png" sizes="128x128" href="<?php echo asset_url().'favicon/favicon-128.png'?>" />
    <meta name="application-name" content="&nbsp;"/>
    <meta name="msapplication-TileColor" content="#FFFFFF" />
    <meta name="msapplication-TileImage" content="<?php echo asset_url().'favicon/mstile-144x144.png'?>" />
    <meta name="msapplication-square70x70logo" content="<?php echo asset_url().'favicon/mstile-70x70.png'?>" />
    <meta name="msapplication-square150x150logo" content="<?php echo asset_url().'favicon/mstile-150x150.png'?>" />
    <meta name="msapplication-wide310x150logo" content="<?php echo asset_url().'favicon/mstile-310x150.png'?>" />
    <meta name="msapplication-square310x310logo" content="<?php echo asset_url().'favicon/mstile-310x310.png'?>" />

    <title><?php echo $title ?></title>
    <!-- Bootstrap -->
		<!-- Latest compiled and minified CSS -->
		<link rel="stylesheet" href="<?php echo asset_url().'css/bootstrap.min.css'?>">
		<!-- Optional theme -->
		<link rel="stylesheet" href="<?php echo asset_url().'css/bootstrap-theme.min.css'?>">
    <!-- Css added from the Controller -->
    <?php
      if(isset($css_files))
      {
        if(!is_array($css_files))
        {
          $css_files = array($css_files);
        }

        foreach($css_files as $file)
        {
          echo '<link rel="stylesheet" href="'.asset_url().$file.'">';
        }
      }
    ?>
    <!-- Our css modifications -->
    <link rel="stylesheet" href="<?php echo asset_url().'css/style.css'?>">
    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
  </head>
  <body role="document">
		<nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="<?php echo site_url('/measurement'); ?>">
            <!-- <span class="glyphicon glyphicon-phone" aria-hidden="true"></span> -->
            <img id="brand-icon" alt="Site icon" src="<?php echo asset_url().'favicon/favicon-48x48.png'?>">
          </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
            <?php
              $menus = array
                (
                array('controller'=>'measurement', 'name'=>'Mérések'),
                array('controller'=>'device', 'name'=>'Eszközök'),
                array('controller'=>'sensor', 'name'=>'Alkatrészek'),
                array('controller'=>'distributor', 'name'=>'Forgalmazók'),
                array('controller'=>'availability', 'name'=>'Beszerezhetőség'),
                array('controller'=>'user', 'name'=>'Felhasználók')
                );

              foreach($menus as $menu){
                $class = ($this->router->fetch_class() == $menu['controller']) ? ' class="active"' : '';
                $link = anchor('/'.$menu['controller'], $menu['name']);
                echo '<li'.$class.'>'.$link.'</li>';
              }
            ?>
          </ul>
        </div><!--/.nav-collapse -->
      </div>
    </nav>
		<div class="container theme-showcase" role="main">
